"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SEVERITY_ERROR = exports.SEVERITY_WARNING = exports.SEVERITY_INFO = exports.UNKNOWN_EMAIL_PROVIDER = exports.SEAL_NOT_TRUSTWORTHY = exports.MESSAGE_NOT_SEALED = exports.SEAL_NOT_FOUND = exports.SEAL_READING_ERROR = void 0;
exports.SEAL_READING_ERROR = "SealReadingError";
exports.SEAL_NOT_FOUND = "SEAL_NOT_FOUND";
exports.MESSAGE_NOT_SEALED = "MESSAGE_NOT_SEALED";
exports.SEAL_NOT_TRUSTWORTHY = "SEAL_NOT_TRUSTWORTHY";
exports.UNKNOWN_EMAIL_PROVIDER = "UNKNOWN_EMAIL_PROVIDER";
exports.SEVERITY_INFO = 0;
exports.SEVERITY_WARNING = 1;
exports.SEVERITY_ERROR = 2;
class SealReadingError extends Error {
    constructor(message, type, severity) {
        super(message);
        this.severity = exports.SEVERITY_ERROR;
        this.name = exports.SEAL_READING_ERROR;
        this.type = type;
        this.severity = severity;
    }
}
SealReadingError.SEAL_READING_ERROR = exports.SEAL_READING_ERROR;
SealReadingError.SEAL_NOT_FOUND = exports.SEAL_NOT_FOUND;
SealReadingError.MESSAGE_NOT_SEALED = exports.MESSAGE_NOT_SEALED;
SealReadingError.SEAL_NOT_TRUSTWORTHY = exports.SEAL_NOT_TRUSTWORTHY;
SealReadingError.UNKNOWN_EMAIL_PROVIDER = exports.UNKNOWN_EMAIL_PROVIDER;
SealReadingError.SEVERITY_INFO = exports.SEVERITY_INFO;
SealReadingError.SEVERITY_WARNING = exports.SEVERITY_WARNING;
SealReadingError.SEVERITY_ERROR = exports.SEVERITY_ERROR;
exports.default = SealReadingError;
